DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ImageIsICS

Confirm that a file is an ICS file (in dipIO)

## SYNOPSIS

`#include "dipio_ics.h"`

dip_Error dipio_ImageIsICS ( filename, veredict )

## FUNCTION

This function verifies that the file is an ICS file. `veredict` is set to `DIP_TRUE` if it is, and to `DIP_FALSE` if it isn't.

## ARGUMENTS

Data type | Name | Description
`dip_String` | `filename` | File name
`dip_Boolean *` | `veredict` | Set to `DIP_TRUE` or `DIP_FALSE`

## SOFTWARE

This function uses `libics` (version 1.3), which supports the ICS specification revision 2.0. Copyright (c)2000-2002 Cris L. Luengo Hendriks, Dr. Hans T.M. van der Voort and many others.

## SEE ALSO

`ImageWriteICS`, `ImageReadICS`

DIPlib on-line documentation | Function reference | Global function index